MacDrawParserInternal::State Struct Reference

Internal: the state of a MacDrawParser. More...

## Public Member Functions
| State ()
| constructor
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pat)
| returns a pattern if posible
void | initPatterns ()
| init the patterns list

## Public Attributes
int | m_version
| the file version
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list
std::vector< Shape > | m_shapeList
| the shape list

## Detailed Description

Internal: the state of a MacDrawParser.

## Constructor & Destructor Documentation

## ◆ State()

MacDrawParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool MacDrawParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat )
| inline

returns a pattern if posible

## ◆ initPatterns()

void MacDrawParserInternal::State::initPatterns | ( |  | ) |

init the patterns list

Referenced by getPattern().

## Member Data Documentation

## ◆ m_patternList

std::vector<MWAWGraphicStyle::Pattern> MacDrawParserInternal::State::m_patternList

the patterns list

Referenced by getPattern(), initPatterns(), and State().

## ◆ m_shapeList

std::vector<Shape> MacDrawParserInternal::State::m_shapeList

the shape list

Referenced by State().

## ◆ m_version

int MacDrawParserInternal::State::m_version

the file version

Referenced by initPatterns(), and State().

The documentation for this struct was generated from the following file:

- MacDrawParser.cxx